<?php
  $nombre_max=1.7976931348623E+308;
  $nombre_depassant_la_capacite=$nombre_max + 1.0E+306;
  
  echo 'Valeur de $nombre_max                   : ';
  var_dump($nombre_max);
  echo 'Valeur de $nombre_depassant_la_capacite : ';
  var_dump($nombre_depassant_la_capacite);

  // Calcul invalide, doit retourner une
  // valeur NaN
  $resultat = acos(8);
  echo 'calcul de acos(8) : ';
  var_dump($resultat);
  echo 'test de is_nan(cos(8)) : ';
  var_dump(is_nan($resultat));
?>
